---
inv__install_k3s:
  data_dir: "/var/lib/rancher/k3s"
  cluster_cidr: "10.40.0.0/16" # IPv4/IPv6 network CIDRs to use for pod IPs
  service_cidr: "10.140.0.0/16" # IPv4/IPv6 network CIDRs to use for services
  service_node_port_range: "30000-40000" # Port range to reserve for services with NodePort visibility
  cluster_dns: "10.140.0.254" # IPv4 Cluster IP for coredns service. Should be in your service-cidr range
  cluster_domain: "k3s-cluster.local"
  tls_sans: # Add additional hostnames or IPv4/IPv6 addresses as Subject Alternative Names on the TLS cert
    - "molecule--ubuntu-24--instance-1--role--install-k3s"
    - "molecule--ubuntu-24--instance-2--role--install-k3s"
    - "molecule--ubuntu-24--instance-3--role--install-k3s"
    - "localhost"
    - "127.0.0.1"
  portainer_hostname_target: "molecule--ubuntu-24--instance-1--role--install-k3s"
  portainer_k3s_version: "ce2-21"
